# Uses of Interface
javax.annotation.processing.Messager

Packages that use Messager
Package
Description
javax.annotation.processing
Facilities for declaring annotation processors and for allowing annotation processors to communicate with an annotation processing tool environment.

- ## Uses of Messager in javax.annotation.processing

  Methods in javax.annotation.processing that return Messager
  Modifier and Type
  Method
  Description
  `Messager`
  ProcessingEnvironment.`getMessager()`
  Returns the messager used to report errors, warnings, and other notices.